import { Message } from "oceanic.js";
import cmdHelp from "./help";
import cmdHi from "./hi";
import cmdPlay from "./play";

export type Command = {
  names: string[];
  desc: string;
  checkPerm(msg: Message): Promise<boolean | undefined>;
  handler(
    msg: Message,
    replies: {
      reply: (text: string) => Promise<void>;
      say: (text: string) => Promise<void>;
    }
  ): Promise<void>;
};

const commands: Command[] = [cmdHelp, cmdHi, cmdPlay];

export default commands;
